<?php
ob_start();
 session_start();
require_once('staff.php');
require_once('operations.php');
require_once('stock.php');


if (!isset($_SESSION['admin'])) {
   header( "Location: ../index.php" );
}

$username  = $_SESSION['admin'];

$db = new Staff();
$db1 = new Operations();
$id = 1;

$db->findStaffbyUsername($username);

$db1->findCurrentPortalValues($id);

$db2 = new Stock();


if(isset($_POST['submit'])){

    
    $name = $_POST['name'];
     $address =  $_POST['address'];
    // $time = $_POST['time'];
     

     $phone = $_POST['phone'];

     $date = $_POST['dob'];

     $count = $db2->checkSuppliers($name);

     if($count <= 0) {

        if(!$db2->addSupplier($name, $address, $date, $phone)) {

            ?>
        <script>alert('supplier added Successfully'); 
        window.location.href='allSuppliers.php';
        
     </script>
         <?php 
            
        }
        else {

            ?>
            <script>alert('error adding supplier'); 
           
            
         </script>
     <?php
        }
     }
        else {
            ?>
            <script>alert('supplier already exist'); 
           
            
         </script>
     <?php

        }

     }
     
  
  
  
       
    
  
    
  
  



?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">

        <title><?php  include('../schoolname.php'); ?></title>

        <!-- Bootstrap Core CSS -->
        <link href="../css/bootstrap.min.css" rel="stylesheet">

        <!-- MetisMenu CSS -->
        <link href="../css/metisMenu.min.css" rel="stylesheet">

        <!-- Custom CSS -->
        <link href="../css/startmin.css" rel="stylesheet">

        <!-- Custom Fonts -->
        <link href="../css/font-awesome.min.css" rel="stylesheet" type="text/css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body>

        <div id="wrapper">

            <!-- Navigation -->
            <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
                <div class="navbar-header">
                    <a class="navbar-brand" href="dashboard.php"><?php  include('../schoolname.php'); ?></a>
                </div>

                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <ul class="nav navbar-nav navbar-left navbar-top-links">
                    <li><a href="#"><i class="fa fa-home fa-fw"></i> Account Module</a></li>
                </ul>

                <ul class="nav navbar-right navbar-top-links">
                    
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            <i class="fa fa-user fa-fw"></i> <strong><?php echo $db->lname; ?> </strong><b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu dropdown-user">
                            <li><a href="#"><i class="fa fa-user fa-fw"></i> User Profile</a>
                            </li>
                            <li><a href="#"><i class="fa fa-gear fa-fw"></i> Settings</a>
                            </li>
                            <li class="divider"></li>
                            <li><a href="logout.php"><i class="fa fa-sign-out fa-fw"></i> Logout</a>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- /.navbar-top-links -->

                <div class="navbar-default sidebar" role="navigation">
                    <div class="sidebar-nav navbar-collapse">
                        <?php  include('menu.html')  ?>
                    </div>
                    <!-- /.sidebar-collapse -->
                </div>
                <!-- /.navbar-static-side -->
            </nav>

            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <h1 class="page-header">Add Supplier </h1>
                       
                           <!-- panel starts  -->
                           



                           <div class="panel panel-default">
                                <div class="panel-heading">
                                 current settings are <?php echo " ".$db1->term." "."term"." ".$db1->session." "."session Date updated "
                                .$db1->date."  updated by ".$db1->staffid;  ?>
                                </div>
                                <div class="panel-body">
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <form role="form" method = "post" action = "">

                                            <div class="form-group">
                                                    <label>Name of Supplier</label>
                                                    <input class="form-control" name = "name" required >
                                                    
                                                </div>

                                                <div class="form-group">
                                                    <label>Address</label>
                                                    <textarea class="form-control" rows="3" name = "address" required></textarea>
                                                   
                                                </div>

                                                <div class="form-group">
                                                    <label>Phone Number</label>
                                                    <input class="form-control" name = "phone"  required>
                                                  
                                                </div>

                                            
                                                <div class="form-group">
                                                    <label>Date Added</label>
                                                    <input class="form-control" id="dob" name="dob" placeholder=""  type="text" required  readonly/>
                                                   
                                                </div>
                                                
                                               
                                                

                                                <button type="submit" name = "submit" class="btn btn-primary  btn-block">Add Supplier</button>
        </form>


                           <!-- Panel ends  -->

        </div>
        </div>


                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->

        </div>
        <!-- /#wrapper -->

        <!-- jQuery -->
        <script>
    // WRITE THE VALIDATION SCRIPT.
    function isNumber(evt) {
        var iKeyCode = (evt.which) ? evt.which : evt.keyCode
        if (iKeyCode != 46 && iKeyCode > 31 && (iKeyCode < 48 || iKeyCode > 57))
            return false;

        return true;
    }    
</script>
        <script src="../js/jquery.min.js"></script>
        <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
   <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

        <!-- Bootstrap Core JavaScript -->
        <script src="../js/bootstrap.min.js"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="../js/metisMenu.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../js/startmin.js"></script>

        <script>
 $(function() {
    $("#dob").datepicker({
    onSelect: function(value, ui) {
        var today = new Date(), 
            age = today.getFullYear() - ui.selectedYear;
        $('#age').val(age);
    },
      
    dateFormat: 'yy-mm-dd',changeMonth: true,changeYear: true,yearRange:"1990:+0"
    });
     
});
  </script>

    </body>
</html>
