<?php
require_once( "../../db.php" );
//require_once( "useSingleton.php" );
/**
 * Methods for database handling.
 */
class Operations extends Db  {

   
    const BCRYPT_COST = 14;
	
	public $term;
	public $session;
	public $staffid;
	public $date;
	public $old;
	public $new;
	public $class;
	public $name;
	public $amount;
	 
	 
	 public function __construct() {

   }

   public function updatePortal($id,$term,$session,$staffid,$date)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = 'UPDATE portal  SET term = :term, session = :session, staffid = :staffid, date = :date   where id = :id';
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':id', $id);
	$statement->bindValue(':term', $term);
	$statement->bindValue(':session', $session);
	$statement->bindValue(':staffid', $staffid);
	$statement->bindValue(':date', $date);
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}

	public function findCurrentPortalValues($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from portal WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->term = $row['term'];
	  $this->session = $row['session'];
	  $this->staffid = $row['staffid'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}	

	
	
		public function AddFee($name,$amount,$class,$date){
		
			try{
		   
		   
		   $instance = parent::getInstance();
		   // $instance = new DBAccess();
		$MySQLiconn  = $instance->getConnection();
			
		   $sql = 'INSERT INTO managefees (name,amount,class,date)
				   VALUES (:name, :amount,:class, :date)';
   
		  
			
		   $statement = $MySQLiconn->prepare($sql);
			$statement->bindValue(':name', $name);
		   $statement->bindValue(':amount', $amount);
		   $statement->bindValue(':class', $class);
		   $statement->bindValue(':date', $date);
		   
		   
		   $statement->execute();
   
		   parent::DisConnect( $MySQLiconn);	 
			   
			   
			   
				
				
				}
				
				catch(Exception $e){
			   echo "oops! ".$e->getMessage(); 
			   
			   } 
			   
		   
	   }


	   public function findFeeById($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from managefees WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	  $this->name = $row['name'];
	  $this->class = $row['class'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}

	
		public function updateFee($id,$amount,$name,$class,$date)
		{
		  $instance = parent::getInstance();
		 // $instance = new DBAccess();
	  $MySQLiconn  = $instance->getConnection();
	  
	   $sql = 'UPDATE managefees  SET amount = :amount, name = :name, class = :class, date = :date   where id = :id';
	   
		 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		 $statement->bindValue(':amount', $amount);
		 $statement->bindValue(':name', $name);
		 $statement->bindValue(':class', $class);
		 $statement->bindValue(':date', $date);
		 
		 $statement->execute();
	   
	  
		
		 parent::DisConnect( $MySQLiconn);   
		 }	

   
		 public function getAllFees(){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 	"SELECT  * FROM managefees ";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
			  
			
			  $statement->execute();
			  
			  return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   }	

		  
		   public function deleteFee($id)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from managefees   where id = :id';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id', $id);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}	  



}   