<?php
ob_start();
 session_start();
require_once('staff.php');
require_once('operations.php');
require_once('login.php');

if (!isset($_SESSION['admin'])) {
   header( "Location: ../index.php" );
}

$username  = $_SESSION['admin'];

$db = new Staff();

$db1 = new Operations();
$db2 = new Login();

$db->findStaffbyUsername($username);


if(isset($_POST["submit"]))
{

 $date = $_POST['doe'];
 //$file_open = fopen($file,"r");

 $month = date('F', strtotime($date));
 $year =  date('Y', strtotime($date));
 
 $statement = $db->findAllByMonthYearJoin($month,$year);

}

?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">

        <title><?php  include('../schoolname.php'); ?></title>

        <!-- Bootstrap Core CSS -->
        <link href="../css/bootstrap.min.css" rel="stylesheet">

        <!-- MetisMenu CSS -->
        <link href="../css/metisMenu.min.css" rel="stylesheet">

        <!-- Custom CSS -->
        <link href="../css/startmin.css" rel="stylesheet">

        <!-- Custom Fonts -->
        <link href="../css/font-awesome.min.css" rel="stylesheet" type="text/css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body>

        <div id="wrapper">

            <!-- Navigation -->
            <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
                <div class="navbar-header">
                    <a class="navbar-brand" href="dashboard.php"><?php  include('../schoolname.php'); ?></a>
                </div>

                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <ul class="nav navbar-nav navbar-left navbar-top-links">
                    <li><a href="#"><i class="fa fa-home fa-fw"></i> Account Module</a></li>
                </ul>

                <ul class="nav navbar-right navbar-top-links">
                    
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            <i class="fa fa-user fa-fw"></i> <strong><?php echo $db->lname; ?> </strong><b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu dropdown-user">
                            <li><a href="#"><i class="fa fa-user fa-fw"></i> User Profile</a>
                            </li>
                            <li><a href="#"><i class="fa fa-gear fa-fw"></i> Settings</a>
                            </li>
                            <li class="divider"></li>
                            <li><a href="logout.php"><i class="fa fa-sign-out fa-fw"></i> Logout</a>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- /.navbar-top-links -->

                <div class="navbar-default sidebar" role="navigation">
                    <div class="sidebar-nav navbar-collapse">
                        <?php  include('menu.html')  ?>
                    </div>
                    <!-- /.sidebar-collapse -->
                </div>
                <!-- /.navbar-static-side -->
            </nav>

            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <h1 class="page-header">Payroll for <?php echo " ".$month ." ".$year  ?> <a href="payff.php" 
                            class="btn btn-primary ">Make Payment</a> </h1>


                       
                          <!-- datatable   -->

                          <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                            <thead>
                                                <tr>
                                                    <th>S/N</th>
                                                    <th>Employee Number</th>
                                                    <th>surname</th>
                                                    <th>first name</th>
                                                    <th>Gross Salary</th>
                                                    <th>Mandatory Savings</th>
                                                  

                                                  
                                                    <th>Loan</th>
                                                    <th>Penalty</th>
                                                    <th>Welfare</th>
                                                    <th>Absent</th>
                                                    <th>School Fees</th>
                                                    <th>Net Salary</th>
                                                    <th>Mode of Payment</th>
                                                </tr>
                                            </thead>
                                            <tbody>

                                            <?php
    $rowCount1 = 0;
    while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
            extract($row);
		$rowCount1++;	
      //  $basic_salary = 0.4 * $row['salary_value'];

       $net_salary = $row['salary_value'] - $row['mandatory_savings'] - $row['loan'] - 
       $row['penalty'] - $row['welfare'] - $row['absent'] - $row['schoolfees'];
        ?>
                                                <tr class="odd gradeX">
                                                    <td><?php echo $rowCount1 ?></td>
                                                    <td><?php echo $row['payid'] ?></td>
                                                    <td><?php echo $row['lname'] ?></td>
                                                    <td><?php echo $row['fname'] ?></td>
                                                    <td><?php echo $row['salary_value'] ?></td>
                                                    <td><?php echo $row['mandatory_savings'] ?></td>
                                                    <td><?php echo $row['loan'] ?></td>
                                                    <td><?php echo $row['penalty'] ?></td>
                                                    <td><?php echo $row['welfare'] ?></td>
                                                    <td><?php echo $row['absent'] ?></td>
                                                    <td><?php echo $row['schoolfees'] ?></td>
                                                    <td><?php echo $net_salary ?></td>
                                                    <td><?php echo $row['status'] ?></td>

                                                </tr>

                                                <?php
                                       }
                                                ?>
                                                


                         </tbody>
                                        </table>
                                    </div>
                                    <!-- /.table-responsive -->
                                   
                                </div>
                                <!-- /.panel-body -->
                            </div>
                            <!-- /.panel -->


                          <!-- data table -->







                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->

        </div>
        <!-- /#wrapper -->

        <!-- jQuery -->
        <script src="../js/jquery.min.js"></script>

        <!-- Bootstrap Core JavaScript -->
        <script src="../js/bootstrap.min.js"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="../js/metisMenu.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../js/startmin.js"></script>


        <!-- DataTables JavaScript -->
        <script src="../js/dataTables/jquery.dataTables.min.js"></script>
        <script src="../js/dataTables/dataTables.bootstrap.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../js/startmin.js"></script>

        <!-- Page-Level Demo Scripts - Tables - Use for reference -->
        <script>
            $(document).ready(function() {
                $('#dataTables-example').DataTable({
                        responsive: true
                });
            });
        </script>

    </body>
</html>
